<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header">
  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" *ngIf="isLock && pastPeriod && objFunction.edit"
             mbButtonText="{{'goaManagement.listEmpAllocated.label.offer' | translate}}" mbButtonAvailableStyle="PRIMARY"
             (click)="offerEmp()">
  </mb-button>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'targerManager.button.btnCancel' | translate}}"></mb-button>
  </section>
</ng-template>
<nz-card>
  <div nz-row style="margin-bottom: 1rem">
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">Đơn vị</label>
      <p>{{infoOrg?.orgName}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">Đơn vị cấp trên</label>
      <p>{{infoOrg?.superOrgName}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">Khu vực</label>
      <p>{{infoOrg?.district}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">Loại chi nhánh</label>
      <p>{{infoOrg?.branchType}}</p>
    </div>
  </div>
  <div nz-row>
    <div nz-col nzSpan="6" style="padding-right: 2rem;">
      <mb-select
        [mbDataSelects]="listDepartmentLine"
        mbKeyLabel="name"
        mbKeyValue="orgId"
        mbLabelText="Phòng ban/line"
        mbPlaceholder=""
        [mbOptionHeightPx]="58"
        [(ngModel)]="params.orgId"
        (mbSelect)="search()"
      ></mb-select>
    </div>
    <div nz-col nzSpan="6" style="padding-right: 2rem;">
      <mb-select
        [mbDataSelects]="listPeriod"
        mbKeyLabel="periodName"
        mbKeyValue="periodId"
        mbLabelText="Kỳ đánh giá"
        mbPlaceholder=""
        [mbOptionHeightPx]="58"
        [(ngModel)]="params.periodId"
        (ngModelChange)="changePeriod($event)"
        (mbSelect)="search()"
      ></mb-select>
    </div>
    <div nz-col nzSpan="6" style="padding-right: 2rem;">
      <mb-select
        [mbDataSelects]="listIOAllocation"
        mbKeyLabel="name"
        mbKeyValue="value"
        mbLabelText="Trong/ngoài phân bổ"
        mbPlaceholder=""
        [mbOptionHeightPx]="58"
        [(ngModel)]="params.apportion "
        (mbSelect)="search()"
      ></mb-select>
    </div>
  </div>
</nz-card>
<div class="offer-container">
  <p class="offer-container__label">{{'goaManagement.listEmpAllocated.label.amountInAllocation' | translate}} {{amountInAllocation}}/{{totalEmp}}</p>
</div>
<nz-table class="data-table ant-table-content" #basicTable [nzData]="listData" [nzPageSize]="paginationCustom.total"
          [nzShowPagination]="false" nzTableLayout="fixed" nzSize='small'
          [nzScroll]="listData?.length > 7 ? { x: '30rem', y: '24rem' } : {}">
  <thead>
  <tr>
    <th nzWidth="5%" class="text-center" scope="col">{{'goaManagement.listEmpAllocated.table.stt' | translate}}</th>
    <th nzWidth="8%" scope="col">{{'goaManagement.listEmpAllocated.table.empCode' | translate}}</th>
    <th scope="col">{{'goaManagement.listEmpAllocated.table.fullName' | translate}}</th>
    <th scope="col">{{'goaManagement.listEmpAllocated.table.line' | translate}}</th>
    <th scope="col">{{'goaManagement.listEmpAllocated.table.IOAllocation' | translate}}</th>
    <th scope="col">{{'goaManagement.listEmpAllocated.table.reason' | translate}}</th>
    <th nzWidth="5%" scope="col"></th>
  </tr>
  </thead>
  <tbody>
  <tr *ngFor="let data of basicTable?.data ;let i = index;">
    <td class="text-center">{{ i + 1 + paginationCustom.size * paginationCustom.pageIndex }}</td>
    <td>{{data.employeeCode}}</td>
    <td>{{data.fullName}}</td>
    <td class="text-overflow" nz-tooltip [nzTooltipTitle]="data.lineName">{{data.lineName}}</td>
    <td>
      <mb-select
        [mbDataSelects]="listIOAllocationTable"
        mbKeyLabel="name"
        mbKeyValue="value"
        [mbLabelText]="null"
        [mbOptionHeightPx]="58"
        [(ngModel)]="data.apportion"
        (mbSelect)="changeAllocation(data)"
      ></mb-select>
    </td>
    <td>
      <mb-input-text [mbShowFlexEnd]="false" *ngIf="data.check && pastPeriod" [mbMaxLength]="100" [(ngModel)]="data.description"
                     [mbType]="(isSubmit && !data.description) ?  'error' : 'default'"
      >
      </mb-input-text>
      <span *ngIf="!data.check">{{data.description}}</span>
    </td>
    <td class="icon-custom">
        <span *ngIf="data.flagStatus === 1" nz-icon nzType="check" nzTheme="outline" style="color: green"></span>
        <span *ngIf="data.flagStatus === 2" nz-icon nzType="close" nzTheme="outline" style="color: red"></span>
    </td>
  </tr>
  </tbody>
</nz-table>
<div class="pagination" *ngIf="paginationCustom.total > 0">
  <div style="padding-left: 22px;">
    <img src="assets/images/icon/idea.svg" alt="" />
    <span>
      {{'common.paging.rangePage' | translate:{result:paginationCustom.total} }}
      {{paginationCustom.size * paginationCustom.pageIndex + 1}}
      {{'common.paging.to' | translate}}
      {{paginationCustom.size * paginationCustom.pageIndex +
    paginationCustom.numberOfElements}}
    </span>
  </div>
  <nz-pagination [nzPageIndex]="paginationCustom.pageIndex + 1"
                 (nzPageIndexChange)="changePage($event)" [nzTotal]="paginationCustom.total"
                 [nzPageSize]="paginationCustom.size"></nz-pagination>
</div>
